GDB (xrefs)

Public Member Functions | List of all members
tui_interp Class Referencefinal
Inheritance diagram for tui_interp:

## Public Member Functions
| tui_interp (const char *name)
void | init (bool top_level) override
void | resume () override
void | suspend () override
gdb_exception | exec (const char *command_str) override
ui_out * | interp_ui_out () override
Public Member Functions inherited from cli_interp_base
| cli_interp_base (const char *name)
virtual | ~cli_interp_base ()=0
void | set_logging (ui_file_up logfile, bool logging_redirect) override
void | pre_command_loop () override
bool | supports_command_editing () override
Public Member Functions inherited from interp
| interp (const char *name)
virtual | ~interp ()=0

## Additional Inherited Members
Public Attributes inherited from interp
const char * | name
struct interp * | next
bool | inited

## Detailed Description

Definition at line 41 of file tui-interp.c.

## Constructor & Destructor Documentation

## ◆ tui_interp()

tui_interp::tui_interp | ( | const char * | name | ) |
| inline explicit

Definition at line 44 of file tui-interp.c.

## Member Function Documentation

## ◆ exec()

gdb_exception tui_interp::exec | ( | const char * | command_str | ) |
| override virtual

Implements interp.

Definition at line 300 of file tui-interp.c.

References _, and internal_error().

## ◆ init()

void tui_interp::init | ( | bool | top_level | ) |
| override virtual

Reimplemented from interp.

Definition at line 242 of file tui-interp.c.

References gdb_stdout, tui_exit(), tui_initialize_io(), tui_initialize_readline(), tui_initialize_static_data(), tui_initialize_win(), and ui_file_isatty().

## ◆ interp_ui_out()

ui_out * tui_interp::interp_ui_out | ( |  | ) |
| override virtual

Implements interp.

Definition at line 291 of file tui-interp.c.

References tui_active, tui_old_uiout, and tui_out.

## ◆ resume()

void tui_interp::resume | ( |  | ) |
| override virtual

Implements interp.

Definition at line 256 of file tui-interp.c.

References command_line_handler(), current_ui, gdb_setup_readline(), gdb_stdout, ui::input_handler, cli_ui_out::set_stream(), tui_enable(), tui_old_uiout, and tui_start_enabled.

## ◆ suspend()

void tui_interp::suspend | ( |  | ) |
| override virtual

Implements interp.

Definition at line 284 of file tui-interp.c.

References tui_active, tui_disable(), and tui_start_enabled.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/tui/tui-interp.c